Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request PATCH \ --url https://app.eigenpal.com/api/v1/agents/{agentId} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "description": "<string>", "config": {} } '
{ "agent": { "id": "<string>", "slug": "<string>", "name": "<string>", "createdAt": "<string>", "description": "<string>", "latestVersion": "<string>", "latestCommit": "<string>", "config": {}, "updatedAt": "<string>", "stats": { "exampleCount": 0, "totalExecutions": 0, "lastExecutionAt": "<string>", "avgDurationMs": 123, "avgCredits": 123 } } }
Updates mutable agent metadata and configuration.
API key issued from Settings → API Keys. Pass as Authorization: Bearer <key>.
Authorization: Bearer <key>
Agent id or slug
Show child attributes
Updated agent